Table of Contents

Module: HTTPSpeaker | HTTPSpeaker.py
--- | ---

HTTP wrapper around Emacspeak speech server.

Speech server is launched on HTTP server startup.

Speech commands are invoked via URLs:

http://host:port/cmd?arg

calls speaker.cmd(arg)

Functions |
--- | ---
start
| start

    start ()

Classes |

HTTPSpeaker | Speech server via HTTP.
SpeakHTTPRequestHandler | Handle HTTP Speak requests.

Table of Contents

This document was automatically generated on Mon May 7 16:30:05 2007 by HappyDoc version 2.1